Skip to content

Operation Types ​

Part of the Inventory API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).

List operation types ​

GET /admin/api/v1/inventories/operation-types

Retrieve a paginated list of operation types with filtering and sorting

🔒 Requires a valid Bearer token.

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: returnOperationType, sourceLocation, destinationLocation, warehouse, company, creatorwarehouse,sourceLocation
filter[id]stringNoComma-separated list of IDs to filter byarchitecto
filter[name]stringNoFilter by nameReceipt
filter[type]stringNoFilter by operation type valuesincoming
filter[warehouse_id]stringNoFilter by warehouse IDsarchitecto
filter[company_id]stringNoFilter by company IDsarchitecto
sortstringNoSort field-created_at
bash
curl -X GET "https://your-domain.com/admin/api/v1/inventories/operation-types?include=warehouse%2CsourceLocation&filter%5Bid%5D=architecto&filter%5Bname%5D=Receipt&filter%5Btype%5D=incoming&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types?include=warehouse%2CsourceLocation&filter%5Bid%5D=architecto&filter%5Bname%5D=Receipt&filter%5Btype%5D=incoming&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/operation-types?include=warehouse%2CsourceLocation&filter%5Bid%5D=architecto&filter%5Bname%5D=Receipt&filter%5Btype%5D=incoming&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/operation-types?include=warehouse%2CsourceLocation&filter%5Bid%5D=architecto&filter%5Bname%5D=Receipt&filter%5Btype%5D=incoming&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": [
    {
      "id": 1,
      "name": "Receipts",
      "type": "incoming",
      "sort": 1,
      "sequence_code": "IN",
      "reservation_method": "at_confirm",
      "reservation_days_before": 0,
      "reservation_days_before_priority": 0,
      "product_label_format": "2x7xprice",
      "lot_label_format": "4x12_lots",
      "package_label_to_print": "pdf",
      "barcode": "WHIN",
      "create_backorder": "ask",
      "move_type": "direct",
      "show_entire_packs": false,
      "use_create_lots": true,
      "use_existing_lots": true,
      "print_label": false,
      "show_operations": false,
      "auto_show_reception_report": false,
      "auto_print_delivery_slip": false,
      "auto_print_return_slip": false,
      "auto_print_product_labels": false,
      "auto_print_lot_labels": false,
      "auto_print_reception_report": false,
      "auto_print_reception_report_labels": false,
      "auto_print_packages": false,
      "auto_print_package_label": false,
      "created_at": "2026-10-12T09:59:23.000000Z",
      "updated_at": "2026-10-12T09:59:23.000000Z",
      "deleted_at": null
    },
    {
      "id": 1,
      "name": "Receipts",
      "type": "incoming",
      "sort": 1,
      "sequence_code": "IN",
      "reservation_method": "at_confirm",
      "reservation_days_before": 0,
      "reservation_days_before_priority": 0,
      "product_label_format": "2x7xprice",
      "lot_label_format": "4x12_lots",
      "package_label_to_print": "pdf",
      "barcode": "WHIN",
      "create_backorder": "ask",
      "move_type": "direct",
      "show_entire_packs": false,
      "use_create_lots": true,
      "use_existing_lots": true,
      "print_label": false,
      "show_operations": false,
      "auto_show_reception_report": false,
      "auto_print_delivery_slip": false,
      "auto_print_return_slip": false,
      "auto_print_product_labels": false,
      "auto_print_lot_labels": false,
      "auto_print_reception_report": false,
      "auto_print_reception_report_labels": false,
      "auto_print_packages": false,
      "auto_print_package_label": false,
      "created_at": "2026-10-12T09:59:23.000000Z",
      "updated_at": "2026-10-12T09:59:23.000000Z",
      "deleted_at": null
    }
  ],
  "links": {
    "first": "/?page=1",
    "last": "/?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "links": [
      {
        "url": null,
        "label": "&laquo; Previous",
        "page": null,
        "active": false
      },
      {
        "url": "/?page=1",
        "label": "1",
        "page": 1,
        "active": true
      },
      {
        "url": null,
        "label": "Next &raquo;",
        "page": null,
        "active": false
      }
    ],
    "path": "/",
    "per_page": 10,
    "to": 2,
    "total": 2
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Create operation type ​

POST /admin/api/v1/inventories/operation-types

Create a new operation type

🔒 Requires a valid Bearer token.

Body parameters

ParameterTypeRequiredDescription
namestringYesOperation type name. Must not be greater than 255 characters.
typestringYesOperation type value.
sequence_codestringYesSequence prefix. Must not be greater than 255 characters.
print_labelbooleanNoGenerate shipping labels.
warehouse_idintegerNoWarehouse ID. Must match an existing stored value.
reservation_methodstringNoReservation method.
auto_show_reception_reportbooleanNoAuto show reception report.
company_idintegerNoCompany ID. Must match an existing stored value.
return_operation_type_idintegerNoReturn operation type ID. Must match an existing stored value.
create_backorderstringYesBackorder policy.
move_typestringNoShipping policy.
use_create_lotsbooleanNoAllow creating new lots.
use_existing_lotsbooleanNoAllow selecting existing lots.
source_location_idintegerYesSource location ID. Must match an existing stored value.
destination_location_idintegerYesDestination location ID. Must match an existing stored value.
bash
curl -X POST "https://your-domain.com/admin/api/v1/inventories/operation-types" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Receipts",
  "type": "incoming",
  "sequence_code": "IN",
  "print_label": false,
  "warehouse_id": 1,
  "reservation_method": "at_confirm",
  "auto_show_reception_report": false,
  "company_id": 1,
  "return_operation_type_id": 2,
  "create_backorder": "ask",
  "move_type": "direct",
  "use_create_lots": true,
  "use_existing_lots": true,
  "source_location_id": 1,
  "destination_location_id": 2
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types", {
  method: "POST",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "name": "Receipts",
  "type": "incoming",
  "sequence_code": "IN",
  "print_label": false,
  "warehouse_id": 1,
  "reservation_method": "at_confirm",
  "auto_show_reception_report": false,
  "company_id": 1,
  "return_operation_type_id": 2,
  "create_backorder": "ask",
  "move_type": "direct",
  "use_create_lots": true,
  "use_existing_lots": true,
  "source_location_id": 1,
  "destination_location_id": 2
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/inventories/operation-types', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'name' => 'Receipts',
    'type' => 'incoming',
    'sequence_code' => 'IN',
    'print_label' => false,
    'warehouse_id' => 1,
    'reservation_method' => 'at_confirm',
    'auto_show_reception_report' => false,
    'company_id' => 1,
    'return_operation_type_id' => 2,
    'create_backorder' => 'ask',
    'move_type' => 'direct',
    'use_create_lots' => true,
    'use_existing_lots' => true,
    'source_location_id' => 1,
    'destination_location_id' => 2,
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/operation-types"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "name": "Receipts",
    "type": "incoming",
    "sequence_code": "IN",
    "print_label": False,
    "warehouse_id": 1,
    "reservation_method": "at_confirm",
    "auto_show_reception_report": False,
    "company_id": 1,
    "return_operation_type_id": 2,
    "create_backorder": "ask",
    "move_type": "direct",
    "use_create_lots": True,
    "use_existing_lots": True,
    "source_location_id": 1,
    "destination_location_id": 2,
}

response = requests.post(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 201

json
{
  "data": {
    "id": 1,
    "name": "Receipts",
    "type": "incoming",
    "sort": 1,
    "sequence_code": "IN",
    "reservation_method": "at_confirm",
    "reservation_days_before": 0,
    "reservation_days_before_priority": 0,
    "product_label_format": "2x7xprice",
    "lot_label_format": "4x12_lots",
    "package_label_to_print": "pdf",
    "barcode": "WHIN",
    "create_backorder": "ask",
    "move_type": "direct",
    "show_entire_packs": false,
    "use_create_lots": true,
    "use_existing_lots": true,
    "print_label": false,
    "show_operations": false,
    "auto_show_reception_report": false,
    "auto_print_delivery_slip": false,
    "auto_print_return_slip": false,
    "auto_print_product_labels": false,
    "auto_print_lot_labels": false,
    "auto_print_reception_report": false,
    "auto_print_reception_report_labels": false,
    "auto_print_packages": false,
    "auto_print_package_label": false,
    "created_at": "2026-10-12T09:59:23.000000Z",
    "updated_at": "2026-10-12T09:59:23.000000Z",
    "deleted_at": null
  },
  "message": "Operation type created successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Show operation type ​

GET /admin/api/v1/inventories/operation-types/{id}

Retrieve a specific operation type by ID

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe operation type ID

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: returnOperationType, sourceLocation, destinationLocation, warehouse, company, creatorwarehouse,company
bash
curl -X GET "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}?include=warehouse%2Ccompany" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}?include=warehouse%2Ccompany", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}?include=warehouse%2Ccompany', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}?include=warehouse%2Ccompany"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "name": "Receipts",
    "type": "incoming",
    "sort": 1,
    "sequence_code": "IN",
    "reservation_method": "at_confirm",
    "reservation_days_before": 0,
    "reservation_days_before_priority": 0,
    "product_label_format": "2x7xprice",
    "lot_label_format": "4x12_lots",
    "package_label_to_print": "pdf",
    "barcode": "WHIN",
    "create_backorder": "ask",
    "move_type": "direct",
    "show_entire_packs": false,
    "use_create_lots": true,
    "use_existing_lots": true,
    "print_label": false,
    "show_operations": false,
    "auto_show_reception_report": false,
    "auto_print_delivery_slip": false,
    "auto_print_return_slip": false,
    "auto_print_product_labels": false,
    "auto_print_lot_labels": false,
    "auto_print_reception_report": false,
    "auto_print_reception_report_labels": false,
    "auto_print_packages": false,
    "auto_print_package_label": false,
    "created_at": "2026-10-12T09:59:23.000000Z",
    "updated_at": "2026-10-12T09:59:23.000000Z",
    "deleted_at": null
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Update operation type ​

PUT /admin/api/v1/inventories/operation-types/{id}

Update an existing operation type

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe operation type ID

Body parameters

ParameterTypeRequiredDescription
namestringNoOperation type name. Must not be greater than 255 characters.
typestringNoOperation type value.
sequence_codestringNoSequence prefix. Must not be greater than 255 characters.
print_labelbooleanNoGenerate shipping labels.
warehouse_idintegerNoWarehouse ID. Must match an existing stored value.
reservation_methodstringNoReservation method.
auto_show_reception_reportbooleanNoAuto show reception report.
company_idintegerNoCompany ID. Must match an existing stored value.
return_operation_type_idintegerNoReturn operation type ID. Must match an existing stored value.
create_backorderstringNoBackorder policy.
move_typestringNoShipping policy.
use_create_lotsbooleanNoAllow creating new lots.
use_existing_lotsbooleanNoAllow selecting existing lots.
source_location_idintegerNoSource location ID. Must match an existing stored value.
destination_location_idintegerNoDestination location ID. Must match an existing stored value.
bash
curl -X PUT "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Receipts",
  "type": "incoming",
  "sequence_code": "IN",
  "print_label": false,
  "warehouse_id": 1,
  "reservation_method": "at_confirm",
  "auto_show_reception_report": false,
  "company_id": 1,
  "return_operation_type_id": 2,
  "create_backorder": "ask",
  "move_type": "direct",
  "use_create_lots": true,
  "use_existing_lots": true,
  "source_location_id": 1,
  "destination_location_id": 2
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "name": "Receipts",
  "type": "incoming",
  "sequence_code": "IN",
  "print_label": false,
  "warehouse_id": 1,
  "reservation_method": "at_confirm",
  "auto_show_reception_report": false,
  "company_id": 1,
  "return_operation_type_id": 2,
  "create_backorder": "ask",
  "move_type": "direct",
  "use_create_lots": true,
  "use_existing_lots": true,
  "source_location_id": 1,
  "destination_location_id": 2
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'name' => 'Receipts',
    'type' => 'incoming',
    'sequence_code' => 'IN',
    'print_label' => false,
    'warehouse_id' => 1,
    'reservation_method' => 'at_confirm',
    'auto_show_reception_report' => false,
    'company_id' => 1,
    'return_operation_type_id' => 2,
    'create_backorder' => 'ask',
    'move_type' => 'direct',
    'use_create_lots' => true,
    'use_existing_lots' => true,
    'source_location_id' => 1,
    'destination_location_id' => 2,
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "name": "Receipts",
    "type": "incoming",
    "sequence_code": "IN",
    "print_label": False,
    "warehouse_id": 1,
    "reservation_method": "at_confirm",
    "auto_show_reception_report": False,
    "company_id": 1,
    "return_operation_type_id": 2,
    "create_backorder": "ask",
    "move_type": "direct",
    "use_create_lots": True,
    "use_existing_lots": True,
    "source_location_id": 1,
    "destination_location_id": 2,
}

response = requests.put(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "name": "Receipts",
    "type": "incoming",
    "sort": 1,
    "sequence_code": "IN",
    "reservation_method": "at_confirm",
    "reservation_days_before": 0,
    "reservation_days_before_priority": 0,
    "product_label_format": "2x7xprice",
    "lot_label_format": "4x12_lots",
    "package_label_to_print": "pdf",
    "barcode": "WHIN",
    "create_backorder": "ask",
    "move_type": "direct",
    "show_entire_packs": false,
    "use_create_lots": true,
    "use_existing_lots": true,
    "print_label": false,
    "show_operations": false,
    "auto_show_reception_report": false,
    "auto_print_delivery_slip": false,
    "auto_print_return_slip": false,
    "auto_print_product_labels": false,
    "auto_print_lot_labels": false,
    "auto_print_reception_report": false,
    "auto_print_reception_report_labels": false,
    "auto_print_packages": false,
    "auto_print_package_label": false,
    "created_at": "2026-10-12T09:59:23.000000Z",
    "updated_at": "2026-10-12T09:59:23.000000Z",
    "deleted_at": null
  },
  "message": "Operation type updated successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Delete operation type ​

DELETE /admin/api/v1/inventories/operation-types/{id}

Soft delete an operation type

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe operation type ID
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "message": "Operation type deleted successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Restore operation type ​

POST /admin/api/v1/inventories/operation-types/{id}/restore

Restore a soft deleted operation type

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe operation type ID
bash
curl -X POST "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/restore" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/restore", {
  method: "POST",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/restore', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/restore"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.post(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "name": "Receipts",
    "type": "incoming",
    "sort": 1,
    "sequence_code": "IN",
    "reservation_method": "at_confirm",
    "reservation_days_before": 0,
    "reservation_days_before_priority": 0,
    "product_label_format": "2x7xprice",
    "lot_label_format": "4x12_lots",
    "package_label_to_print": "pdf",
    "barcode": "WHIN",
    "create_backorder": "ask",
    "move_type": "direct",
    "show_entire_packs": false,
    "use_create_lots": true,
    "use_existing_lots": true,
    "print_label": false,
    "show_operations": false,
    "auto_show_reception_report": false,
    "auto_print_delivery_slip": false,
    "auto_print_return_slip": false,
    "auto_print_product_labels": false,
    "auto_print_lot_labels": false,
    "auto_print_reception_report": false,
    "auto_print_reception_report_labels": false,
    "auto_print_packages": false,
    "auto_print_package_label": false,
    "created_at": "2026-10-12T09:59:23.000000Z",
    "updated_at": "2026-10-12T09:59:23.000000Z",
    "deleted_at": null
  },
  "message": "Operation type restored successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Force delete operation type ​

DELETE /admin/api/v1/inventories/operation-types/{id}/force

Permanently delete an operation type

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe operation type ID
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/force" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/force", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/force', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/force"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "message": "Operation type permanently deleted successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Released under the MIT License.